package ui;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.ButtonGroup;
import javax.swing.JPanel;
import javax.swing.JRadioButton;

import controller.BambooController;

public class LockButtonPanel extends JPanel {

	/**
	 * VAio[
	 */
	private static final long serialVersionUID = 682141005729115789L;

	public enum Mode {
		ANSWER_MODE, CREATE_MODE
	}

	/** RXgN^ */
	public LockButtonPanel(final BambooController controller, Mode mode) {
		JRadioButton createModeButton;
		JRadioButton answerModeButton;
		ButtonGroup modeGroup = new ButtonGroup();
		// createModeButton = new JRadioButton("쐬[h", true);
		createModeButton = new JRadioButton("쐬[h");
		createModeButton.setFocusable(false);
		createModeButton.addActionListener(new ActionListener() {
			@Override
			public void actionPerformed(ActionEvent e) {
				controller.unlock();
			}
		});
		answerModeButton = new JRadioButton("𓚃[h");
		answerModeButton.setFocusable(false);
		answerModeButton.addActionListener(new ActionListener() {
			@Override
			public void actionPerformed(ActionEvent e) {
				controller.halfLock();
			}
		});
		modeGroup.add(createModeButton);
		modeGroup.add(answerModeButton);
		add(createModeButton);
		add(answerModeButton);
		if (mode == Mode.ANSWER_MODE) {
			answerModeButton.setSelected(true);
		} else if (mode == Mode.CREATE_MODE) {
			createModeButton.setSelected(true);
		} else {
			assert (false);
		}
	}

	public LockButtonPanel(final BambooController controller) {
		JRadioButton createModeButton;
		JRadioButton answerModeButton;
		ButtonGroup modeGroup = new ButtonGroup();
		createModeButton = new JRadioButton("쐬[h", true);
		createModeButton.setFocusable(false);
		createModeButton.addActionListener(new ActionListener() {
			@Override
			public void actionPerformed(ActionEvent e) {
				controller.unlock();
			}
		});
		answerModeButton = new JRadioButton("𓚃[h");
		answerModeButton.setFocusable(false);
		answerModeButton.addActionListener(new ActionListener() {
			@Override
			public void actionPerformed(ActionEvent e) {
				controller.halfLock();
			}
		});
		modeGroup.add(createModeButton);
		modeGroup.add(answerModeButton);
		add(createModeButton);
		add(answerModeButton);
	}

}
